Drupal Display Suite bővítmény script beszúrásos sérülékenység

CH azonosító

CH-8527

Angol cím

Drupal Display Suite Module Script Insertion Vulnerability

Felfedezés dátuma

2013.02.20.

Súlyosság

Alacsony

Érintett rendszerek

Display Suite plugin
Drupal

Érintett verziók

Drupal Display Suite Plugin 7.x

Összefoglaló

A Drupal Display Suite bővítmény egy sérülékenységét jelentették, amit kihasználva a rosszindulatú felhasználók script beszúrásos (script insertion) támadást hajthatnak végre.

Leírás

Egyes nem részletezett bemeneti adatok nem megfelelően vannak megtisztítva felhasználás előtt. Ezt kihasználva, tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében az érintett oldal vonatkozásában a káros tartalom megtekintésekor.

A sérülékenység sikeres kihasználásához olyan telepített bővítmény szükséges, amely módosítja a felhasználói nevet (például a realname bővítmény), illetve az “author” mezőnek egyszerű szövegként kell megjelenítenie az “author” szöveget.

A sérülékenységet a 7.x-1.7 előtti 7.x-1.x és a 7.x-2.1 előtti 7.x-2.x verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra